Bug 1017459 - resteasy-base contains known vulnerable components
resteasy-base contains known vulnerable components
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: resteasy-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ade Lee
Asha Akkiangady
: Rebase
Depends On:
Blocks: 1017017
  Show dependency treegraph
 
Reported: 2013-10-09 19:44 EDT by Grant Murphy
Modified: 2014-11-09 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:21:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grant Murphy 2013-10-09 19:44:02 EDT
The victims project maintains a database of known vulnerable components. A victims scan on resteasy-base components shows that resteasy-base-jettison-provider.jar is a known vulnerable artifact as reported in CVE 2013-0818. The details of this CVE can be found in bug #785631. 

Recommend upgrading resteasy-base to 2.3.3 or later.
Comment 2 Ade Lee 2013-10-24 22:21:40 EDT
Rebased to 2.3.5-1

Changes committed to git:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=6465953

commit 1807c95fa96786492c2d5685671ed9ba8a4c8d9e
Author: Ade Lee <alee@redhat.com>
Date:   Thu Oct 24 21:49:49 2013 -0400

    Resolves: rhbz#1017459
Comment 4 Jenny Galipeau 2014-01-29 16:59:34 EST
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.0 Beta (Maipo)

# rpm -q resteasy-base
resteasy-base-2.3.5-2.el7.noarch
Comment 5 Ludek Smid 2014-06-13 07:21:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.